<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/root_layout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ui.activity.A_PlayActivity">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/top_container"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:background="@mipmap/blur"
        app:layout_constraintBottom_toTopOf="@id/bottom_container"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHeight_percent="0.76"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:id="@+id/back_button"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:layout_marginTop="50dp"
            android:src="@drawable/arrow_left"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/now_playing_text"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="50dp"
            android:text="Now Playing"
            android:textColor="@android:color/white"
            android:textSize="16sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/record_image"
            android:layout_width="300dp"
            android:layout_height="300dp"
            android:layout_marginTop="66dp"
            android:src="@mipmap/playing_background"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/now_playing_text" />

        <TextView
            android:id="@+id/song_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="18dp"
            android:text="Blow Your Mind"
            android:textColor="@android:color/white"
            android:textSize="24sp"
            android:textStyle="bold"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/record_image" />

        <TextView
            android:id="@+id/artist_album_text"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="7dp"
            android:text="A journey to rest, guided by gentle sounds"
            android:textColor="@android:color/white"
            android:textSize="14sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/song_title" />

        <View
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:background="@drawable/gradientdrawable"
            app:layout_constraintBottom_toBottomOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>


    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/bottom_container"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:background="#000000"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/top_container">


        <TextView
            android:id="@+id/current"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:layout_marginBottom="17.5dp"
            android:text="00:00"
            android:textColor="@android:color/white"
            android:textSize="14sp"
            app:layout_constraintBottom_toTopOf="@+id/linear"
            app:layout_constraintStart_toStartOf="parent" />

        <TextView
            android:id="@+id/time"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="92dp"
            android:layout_marginBottom="17.5dp"
            android:text="4:08"
            android:textColor="@android:color/white"
            android:textSize="14sp"
            app:layout_constraintBottom_toTopOf="@+id/linear"
            app:layout_constraintEnd_toEndOf="parent" />

        <LinearLayout
            android:id="@+id/linear"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="69dp"
            android:orientation="horizontal"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent">

            <ImageView
                android:id="@+id/prev_button"
                android:layout_width="52dp"
                android:layout_height="52dp"
                android:layout_marginStart="16dp"
                android:background="@drawable/rounded_dark"
                android:padding="13dp"
                android:src="@drawable/sleep"
                android:visibility="gone" />

            <ImageView
                android:id="@+id/repeat_button"
                android:layout_width="52dp"
                android:layout_height="52dp"
                android:layout_marginStart="14dp"
                android:background="@drawable/rounded_dark"
                android:padding="13dp"
                android:src="@drawable/timing" />
        </LinearLayout>
    </androidx.constraintlayout.widget.ConstraintLayout>


    <SeekBar
        android:id="@+id/song_seekbar"
        android:layout_width="0dp"
        android:layout_height="20dp"
        android:layout_marginStart="16dp"
        android:layout_marginEnd="16dp"
        android:layout_marginBottom="8dp"
        android:max="100"
        android:padding="8dp"
        android:progress="50"
        android:progressDrawable="@drawable/custom_seekbar_progress"
        android:thumb="@drawable/custom_seekbar_thumb"
        app:layout_constraintBottom_toBottomOf="@+id/top_container"
        app:layout_constraintEnd_toStartOf="@+id/play_button"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/top_container" />

    <ImageButton
        android:id="@+id/play_button"
        android:layout_width="60dp"
        android:layout_height="60dp"
        android:layout_marginEnd="16dp"
        android:background="@drawable/play_green"
        app:layout_constraintBottom_toBottomOf="@+id/song_seekbar"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@+id/song_seekbar" />

</androidx.constraintlayout.widget.ConstraintLayout>
